summaryrefslogtreecommitdiffstats
path: root/development/astyle/astyle.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/astyle/astyle.SlackBuild')
-rw-r--r--development/astyle/astyle.SlackBuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/development/astyle/astyle.SlackBuild b/development/astyle/astyle.SlackBuild
index eb7de7fe9a..6747b155dd 100644
--- a/development/astyle/astyle.SlackBuild
+++ b/development/astyle/astyle.SlackBuild
@@ -7,11 +7,12 @@
set -e
PRGNAM=astyle
-SRCPK=astyle_1.21__linux.tar.gz
-VERSION=1.21
+VERSION=1.22
+SRCPK=astyle_$VERSION\_linux.tar.gz
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -21,6 +22,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
@@ -32,17 +35,18 @@ cd $PRGNAM
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-cd build
+cd buildgcc
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
make release shared static
+
mkdir -p $PKG/usr/bin
cp -a ../bin/astyle $PKG/usr/bin
mkdir -p $PKG/usr/lib
cp -a ../bin/libastyle.* $PKG/usr/lib
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)